@import url('./form-top.css');
@import url('./form-bottom.css');

:root {
    --white: #FFFFFF;
    --acqua: #15A8AB;
    --light-acqua: #33E2E6;
    --grey: #6D6D6D;
    --blue: #304271;
    --bg-light-blue: #F3FAFB;

    --sombra: rgba(0, 0, 0, 0.2) 1px 2px 10px;
}

.title-h2 {
    color: var(--blue);
    font-size: 28px;
    font-weight: 700;
    line-height: normal;
}

.text {
    color: var(--grey);
    font-size: 17px;
    font-weight: 400;
    line-height: 24px;
}

.text-light-acqua {
    color: var(--light-acqua) !important;
}

.custom-title.acqua,
.custom-text.acqua {
    color: var(--acqua);
}

.custom-title.white,
.custom-text.white {
    color: var(--white);
}

.custom-title.grey,
.custom-text.grey {
    color: var(--grey);
}

.custom-title.blue,
.custom-text.blue,
.text-blue {
    color: var(--blue);
}

.banner {
    width: 100%;
    height: 220px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    overflow: hidden;

    img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    article {
        max-width: 60%;
        position: absolute;
        top: 50%;
        left: 12px;
        transform: translateY(-50%);

        p:nth-of-type(1) {
            font-size: 14px;
            line-height: 18px;
            color: var(--white);
        }

        p:nth-of-type(2) {
            font-size: 12px;
            line-height: 16px;
            color: var(--white);
            font-weight: 600;
        }

        h1 {
            font-size: 24px;
            line-height: 28px;
            font-weight: 600;
            color: var(--acqua);
            margin-bottom: 8px;
        }
    }
}

.section-text-right {
    width: 100%;
    padding: 50px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--bg-light-blue);

    article {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 123px;

        .text-content {
            width: 456px;
        }
    }
}

.section-text-left {
    width: 100%;
    padding: 50px 20px;
    display: flex;
    justify-content: center;
    align-items: center;

    article {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 123px;

        .text-content {
            width: 456px;
        }
    }
}

.section-conheca {
    margin-bottom: 60px;
}

@media (min-width: 576px) {
    .banner {
        height: 500px;

        article {
            max-width: 60%;
            top: 40%;
            left: 10%;

            p:nth-of-type(1) {
                font-size: 24px;
                line-height: 28px;
            }

            p:nth-of-type(2) {
                font-size: 24px;
                line-height: 28px;
            }

            h1 {
                font-size: 32px;
                line-height: 36px;
            }
        }
    }
}

@media (max-width: 575px) {

    .section-text-right,
    .section-text-left {
        article {
            flex-direction: column;
            gap: 20px;

            .text-content {
                width: 100%;
            }
        }
    }
}